.site-content {
  flex-grow: 1;
  flex-shrink: 0;
  flex-basis: auto;
}

.site-footer {
  background: $darkBlue;
  padding-top: 40px;
  flex-shrink: 0;

  &__second-row {
    text-align: center;
    margin-bottom: 20px;
    margin-left: -20px;

    & > a {
      color: $footerGray;
      font-size: 11px;
      font-weight: 200;
      letter-spacing: -0.05px;
      line-height: 20px;
      text-decoration: none;
      /* stylelint-disable */

      &:first-of-type {
        margin-right: 20px;
        position: relative;

        &::after {
          content: "";
          display: block;
          position: absolute;
          width: 0;
          height: 13px;
          width: 1px;
          right: -14px;
          top: 3px;
          background: $footerGray;
        }
      }
    }
  }

  &__third-row {
    box-shadow: $boxShadow;
    background-color: $blue;
  }
}

.footer-wrapper {
  padding-left: 19px;

  &_third-row {
    padding: 0;
    padding-top: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
}

.contacts-footer {
  &__logo {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 38px;
  }
}

.footer-mail {
  display: none;

  &__button_mob {
    margin-right: 15px;

    & p {
      margin-top: 0;
      margin-bottom: 8px;

      & a {
        display: block;
        box-sizing: border-box;
        border-radius: 4px;
        background-image: $btnOrange;
        color: $white;
        font-size: 13px;
        font-weight: 700;
        letter-spacing: 0.93px;
        line-height: 12px;
        text-transform: uppercase;
        text-decoration: none;
        padding: 11px 24px 13px 25px;
        width: 124px;
      }
    }
  }
}

.footer-location {
  float: left;
  margin-right: 20px;

  &__address {
    & > p {
      margin-top: 5px;
      color: $footerGray;
      font-size: 13px;
      font-weight: 200;
      letter-spacing: -0.06px;
      line-height: 20px;

      & > a {
        text-shadow: $btnShadow;
        background: $btnOrangeWebkit;
        -webkit-background-clip: text;
        background-clip: text;
        -webkit-text-fill-color: transparent;
        color: $orange;
        font-size: 13px;
        font-weight: 900;
        letter-spacing: -0.06px;
        position: relative;
        display: block;
        text-decoration: none;

        &:hover {
          background: $btnOrangeHoverWebkit;
          color: darken($color: orange, $amount: 4);
          -webkit-background-clip: text;
          background-clip: text;
          -webkit-text-fill-color: transparent;

          &::after {
            background: $btnOrangeHover;
          }
        }

        &::after {
          content: "";
          display: block;
          position: absolute;
          bottom: 2px;
          height: 2px;
          width: 79px;
          background: $btnOrange;
          box-shadow: $btnShadow;
        }
      }
    }
  }
}

.footer-phone {
  &__number {
    & p {
      margin-top: 9px;
    }

    & p,
    & a {
      text-decoration: none;
      color: $footerGray;
      font-size: 13px;
      font-weight: 200;
      letter-spacing: -0.06px;
      line-height: 20px;
    }
  }
}

.social-footer {
  display: flex;
  margin-bottom: 30px;

  &__icon {
    margin-right: 20px;
    width: 44px;
    height: 44px;
    border-radius: 13px;
    background-color: $lightBlue;
    display: block;
    position: relative;

    &:last-of-type {
      margin-right: 0;
    }

    & img {
      position: absolute;
      margin: auto;
      top: 0;
      bottom: 0;
      right: 0;
      left: 0;
    }

    &:nth-of-type(2) {
      & img {
        margin-top: 9px;
        margin-right: 8px;
      }
    }
  }
}

.payment-footer {
  display: flex;
  margin-bottom: 13px;

  &__icon {
    margin-right: 3px;

    &:last-of-type {
      margin-right: 0;
    }
  }
}

.copyright-footer {
  & p {
    color: $copyrightGray;
    font-size: 9px;
    font-weight: 200;
    letter-spacing: -0.04px;
    line-height: 20px;
  }
}

.menu-footer-menu-container {
  margin-top: 49px;

  & .menu {
    display: grid;
    grid-template-columns: max-content max-content;
    grid-column-gap: 40px;
    list-style: none;
    padding: 0;

    & .menu-item {
      min-width: 119px;

      &:last-of-type {
        order: 0;
      }

      &:nth-of-type(4) {
        order: 2;
      }

      &:nth-of-type(3) {
        order: 1;
      }

      &:nth-of-type(2) {
        order: 3;
      }

      &:nth-of-type(1) {
        order: 4;
      }
    }

    & .dropdown-toggle {
      display: block;
      color: $white;
      font-size: 13px;
      font-weight: 900;
      letter-spacing: -0.06px;
      line-height: 20px;
      text-decoration: none;
      padding-bottom: 19px;
    }

    & .dropdown-menu {
      list-style: none;
      padding: 0;

      & .menu-item {
        margin-right: 0;
        padding-bottom: 22px;

        & a {
          text-decoration: none;
          color: $footerGray;
          font-size: 13px;
          font-weight: 200;
          letter-spacing: -0.06px;
          line-height: 20px;
        }
      }
    }
  }
}

@media (min-width: 325px) {
  .footer-location {
    margin-right: 62px;
  }

  .footer-mail__button_mob {
    margin-right: 39px;
  }

  .menu-footer-menu-container {
    & .menu {
      grid-column-gap: 67px;
    }
  }
}

@media (min-width: 500px) {
  .contacts-footer__logo {
    justify-content: start;

    & .footer-mail__button_mob {
      margin-left: 20px;
    }
  }
}

@media (min-width: 768px) {
  .menu-footer-menu-container {
    & .menu {
      grid-column-gap: 0;
      grid-template-columns: repeat(5, max-content);
    }
  }
}

@media (min-width: 992px) {
  .site-footer {
    &__first-row {
      display: flex;
      justify-content: center;
    }

    &__second-row {
      text-align: right;
      margin-bottom: 23px;
      margin-left: 0;

      & > a {
        font-size: 12px;
        transition: color 0.3s;

        &:hover {
          color: $footerHover;
        }
      }
    }
  }

  .footer-wrapper {
    margin: auto;
    padding-left: 0;
    max-width: fit-content;

    &_third-row {
      padding: 0;
      flex-direction: row;
      justify-content: space-between;
      max-width: 856px;
    }
  }

  .contacts-footer {
    margin-right: 50px;

    &__logo {
      display: block;
      margin-bottom: 33px;

      & > a {
        z-index: 2;
      }
    }

    &__logo,
    &__location,
    &__phone,
    &__mail {
      display: flex;
      align-items: center;
    }
  }

  .footer-location {
    float: none;
    margin-bottom: 40px;
    margin-right: 0;

    &__icon {
      margin-right: 12px;
      width: 32px;
      height: 32px;
      position: relative;

      & img {
        position: absolute;
        margin: auto;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
      }
    }

    &__address {
      & > p {
        font-size: 14px;
        line-height: 21px;
        margin: 0;

        & > a {
          font-size: 14px;
        }
      }
    }
  }

  .footer-phone {
    margin-bottom: 44px;

    &__icon {
      margin-right: 12px;
      width: 32px;
      height: 32px;
      position: relative;

      & img {
        position: absolute;
        margin: auto;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
      }
    }

    &__number {
      & p,
      & a {
        font-size: 14px;
        line-height: 21px;
        margin: 0;
      }

      & a {
        &:hover {
          color: $footerHover;
        }
      }
    }
  }

  .footer-mail {
    &__button_mob {
      display: none;
    }

    &__icon {
      margin-right: 12px;
      width: 32px;
      height: 32px;
      position: relative;
      align-self: baseline;

      & img {
        position: absolute;
        margin: auto;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
      }
    }

    &__button {
      & p {
        color: $footerGray;
        font-size: 14px;
        font-weight: 400;
        letter-spacing: -0.06px;
        line-height: 21px;
        margin: 0;
        margin-bottom: 12px;
      }

      & a {
        display: block;
        box-sizing: border-box;
        border-radius: 4px;
        background-image: $btnOrange;
        color: $white;
        font-size: 14px;
        font-weight: 700;
        letter-spacing: 1px;
        line-height: 12px;
        text-transform: uppercase;
        text-decoration: none;
        padding: 15px 35px 17px 36px;
        transition: all 0.3s;

        &:hover {
          background-image: $btnOrangeHover;
        }
      }
    }
  }

  .menu-footer-menu-container {
    margin-top: 0;

    .menu {
      display: flex;

      & .menu-item {
        min-width: 83px;
        margin-right: 30px;

        &:last-of-type {
          order: 4;
          margin-right: 0;
        }

        &:nth-of-type(4) {
          order: 3;
        }

        &:nth-of-type(3) {
          order: 2;
        }

        &:nth-of-type(2) {
          order: 1;
        }

        &:nth-of-type(1) {
          order: 0;
        }
      }

      & .dropdown-toggle {
        font-size: 14px;
        transition: color 0.3s;

        &:hover {
          color: $footerGray;
        }
      }

      & .dropdown-menu {
        & .menu-item {
          & a {
            font-size: 14px;
            transition: color 0.3s;

            &:hover {
              color: $footerHover;
            }
          }
        }
      }
    }
  }

  .social-footer {
    margin-bottom: 0;

    a {
      transition: background 0.3s;

      &:hover {
        background: $darkBlue;
      }
    }
  }

  .payment-footer {
    margin-bottom: 0;

    &__icon {
      margin-right: 14px;
    }
  }

  .copyright-footer {
    & p {
      font-size: 10px;
      letter-spacing: -0.05px;
      margin: 29px 0;
    }
  }
}

@media (min-width: 1128px) {
  .menu-footer-menu-container {
    .menu {
      & .menu-item {
        margin-right: 66px;
      }
    }
  }

  .footer-wrapper {
    max-width: 1009px;

    &_third-row {
      padding: 0;
      flex-direction: row;
      justify-content: space-between;
    }
  }
}
